--- title: "Get monitoring results" slug: "management-wms-scriptresult" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/management-wms-scriptresult" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get monitoring results Available in Classic and VPC Get the results of monitoring services. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/scenarios/{scenarioId}/results | ### Request headers For information about the headers common to all Web service Monitoring System APIs, see [Web service Monitoring System request headers](/docs/en/management-wms#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `scenarioId` | Integer | Required | Scenario ID - See [Get monitoring list](/docs/en/management-wms-scripts) | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `from` | Long | Required | Query start time - Unix timestamp format | | `to` | Long | Required | Query end time - Unix timestamp format | | `type` | String | Required | Monitoring result data type - `RAW` \| `MIN5` \| `MIN30` \| `MIN30` - `RAW`: all - `MIN5`: 5-minute aggregation - `MIN30`: 30-minute aggregation - `HOUR2`: 2-hour aggregation - `DAY1`: 1-day aggregation | | `resultStatus` | String | Optional | Monitoring result - `SUCCESS` \| `ERROR` - `SUCCESS`: success - `ERROR`: failure | | `locationTypeCodes` | String | Optional | Country where the monitoring measurement agent is located - `KR` \| `USW` \| `JP` \| `SG` \| `DE` - `KR`: Korea - `USW`: United States (West) - `JP`: Japan - `SG`: Singapore - `DE`: Germany - Separate with comma (,) when selecting more than one | ### Request example The request example is as follows: ``` curl --location --request GET 'https://wms.apigw.ntruss.com/api/v1/scenarios/{scenarioId}/results?from=1696790400&to=1697404800&type=MIN5' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `avgLoadTime` | Integer | - | Average page load time (millisecond) | | `avgRunTime` | Integer | - | Average scenario execution time (millisecond) | | `successCount` | Integer | - | Number of normal monitoring results - Criteria: query period | | `errorCount` | Integer | - | Number of errors in monitoring results - Criteria: query period | | `totalCount` | Integer | - | Total number of monitoring results - Criteria: query period | | `availability` | Integer | - | Service availability - Criteria: query period | | `results` | Array | - | Monitoring results: [results](/docs/en/management-wms-scriptresult#results) | #### `results` The following describes `results`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `_id` | String | - | Monitoring result ID - Use as `resultId` when querying monitoring detailed results | | `scenarioId` | Integer | - | Scenario ID | | `locationTypeCodes` | String | Optional | Country where the monitoring measurement agent is located - `KR` \| `USW` \| `JP` \| `SG` \| `DE` - `KR`: Korea - `USW`: United States (West) - `JP`: Japan - `SG`: Singapore - `DE`: Germany - Separate with comma (,) when selecting more than one | | `resultStatus` | String | Optional | Monitoring result - `SUCCESS` \| `ERROR` - `SUCCESS`: success - `ERROR`: failure | | `avgLoadTime` | Integer | - | Average page load time (millisecond) | | `avgRunTime` | Integer | - | Average scenario execution time (millisecond) | | `collectTime` | Long | - | Scenario aggregation base time - Unix timestamp format | | `stime1d` | Long | - | Scenario aggregation base date - Unix timestamp format | | `successCount` | Integer | - | Number of normal monitoring results - Criteria: query period | | `errorCount` | Integer | - | Number of errors in monitoring results - Criteria: query period | | `totalCount` | Integer | - | Total number of monitoring results - Criteria: query period | ### Response status codes For information about the HTTP status codes common to all Web service Monitoring System APIs, see [Web service Monitoring System response status codes](/docs/en/management-wms#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "avgLoadTime": 1408, "avgRunTime": 3526, "successCount": 720, "errorCount": 0, "totalCount": 720, "availability": 100, "results": [ { "_id": "609287d081869e5f2eedeb8a", "scenarioId": 1, "locationTypeCode": "KR", "resultStatus": "SUCCESS", "avgLoadTime": 1472, "avgRunTime": 3587, "collectTime": 1620215700000, "stime1d": 1620140400000, "successCount": 5, "errorCount": 0, "totalCount": 5 }, { "_id": "609287d081869e5f2eedeb8b", "scenarioId": 1, "locationTypeCode": "JP", "resultStatus": "SUCCESS", "avgLoadTime": 1383, "avgRunTime": 3496, "collectTime": 1620215700000, "stime1d": 1620140400000, "successCount": 5, "errorCount": 0, "totalCount": 5 }, {...} ] } ```